Runtime

## org.eclipse.gmf.runtime.common.ui.action.actions.global
Class ResourceGlobalActionHandler

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.action.global.AbstractGlobalActionHandler
          org.eclipse.gmf.runtime.common.ui.action.actions.global.ResourceGlobalActionHandler

All Implemented Interfaces:
  IGlobalActionHandler

Direct Known Subclasses:
  CloseResourceGlobalActionHandler, CopyResourceGlobalActionHandler, DeleteResourceGlobalActionHandler, MoveResourceGlobalActionHandler, OpenResouceGlobalActionHandler, PasteResourceGlobalActionHandler, RefreshResourceGlobalActionHandler, RenameResourceGlobalActionHandler, ResourcePropertiesGlobalActionHandler

    public abstract class ResourceGlobalActionHandler

extends AbstractGlobalActionHandler

Global action handler that works with the resources in the context selection.

Constructor Summary
`ResourceGlobalActionHandler()`

Method Summary
`boolean` `canHandle(IGlobalActionContext cntxt)` Return true if the handler can handle the context
`protected IStructuredSelection` `getResourceSelection(IStructuredSelection selection)` Gets a structured selection containing all of the IResources in the context selection.
`protected Shell` `getShell(IWorkbenchPart part)` Gets the shell from the global action context.

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.action.global.AbstractGlobalActionHandler
`getLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.ui.services.action.global.IGlobalActionHandler
`getCommand`

Constructor Detail

### ResourceGlobalActionHandler

    public ResourceGlobalActionHandler()

Method Detail

### canHandle

    public boolean canHandle(IGlobalActionContext cntxt)

  Description copied from interface: `IGlobalActionHandler`
  Return true if the handler can handle the context

  Parameters:
    `cntxt` - The context
  Returns:
    boolean

### getResourceSelection

    protected IStructuredSelection getResourceSelection(IStructuredSelection selection)

  Gets a structured selection containing all of the IResources in the context selection. Selected elements may either by IResources or may adapt to IResource.

  Parameters:
    `selection` - the context selection for which `IStructuredSelection` will be retrieved
  Returns:
    the selection of file resources

### getShell

    protected Shell getShell(IWorkbenchPart part)

  Gets the shell from the global action context.

  Parameters:
    `part` - the `IWorkbenchPart` for which a `Shell` will be retrieved
  Returns:
    the shell

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.